import { Payload } from './updateSegment/generated-types';
import { DelivrAIPayload } from './types';
import { RequestClient } from '@segment/actions-core';
export declare function generate_jwt(client_identifier: string, request: RequestClient): Promise<any>;
export declare function validate_phone(phone: string): string;
export declare function gen_update_segment_payload(payloads: Payload[], client_identifier_id: string): DelivrAIPayload;
